QGIS Application - Bug report #6280
error in gdal --> merge
2012-08-29 10:08 AM - stefano campus

Status: Closed

Priority: Normal

Assignee:

Category: GDAL Tools

Affected QGIS version:1.8.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 15580
Description

when i try to launch the merge command of gdal, it returns this error

Traceback (most recent call last):

File "C:\OSGeo4W\\bin\\gdal_merge.py", line 36, in

import gdal

File "C:\OSGeo4W\\apps\\Python27\\lib\\site-packages\\gdal.py", line 2, in

from osgeo.gdal import deprecation_warn

File "C:\OSGeo4W\\apps\\Python27\\lib\\site-packages\\osgeo\\ _init__.py", line 21, in

gdal = swig_import_helper()

File "C:\\OSGeo4W\\apps\\Python27\\lib\\site-packages\losgeo\\_init__.py", line 17, in swig_import_helper
_mod = imp.load_module('_gdal', fp, pathname, description)

ImportError: DLL load failed: Impossibile trovare la procedura specificata.

error occurs both in qgis 1.8 and master

same error if i launch the commando from osgeo prompt:

C:\\>gdal_merge.bat -of GTiff -o E:/temp/RiesgoGuaya/Danno_10cm.tif E:/temp/Riesg
oGuaya/Danno_A_10cm.tif E:/temp/RiesgoGuaya/Danno_B_10cm.tif E:/temp/RiesgoGuaya
/Danno_C_10cm.tif
C:\\OSGeodW\\\apps\\Python27\\lib\\site.py:158: Warning: 'with' will become a reserve
d keyword in Python 2.6
'import site' failed; use -v for traceback
C:\OSGeodW\\\apps\\Python27\\lib\\linecache.py:127: Warning: 'with' will become a re
served keyword in Python 2.6
Traceback (most recent call last):

File "C:\OSGeo4W\\\\bin\\gdal_merge.py", line 36, in <module>

import gdal

ImportError: No module named gdal

History

#1 - 2012-08-29 10:10 AM - Giovanni Manghi

If it happens from the CLI then it should not be ggis issue. You need to fix before the CLI issue and then try again qgis.

#2 - 2012-08-29 10:37 AM - stefano campus

2025-04-26 1/3




s0, i have re-installed gdal by osgeo but error exists.
this error comes also for other gdal modules, like polygonyze.
gdal version is 1.9.1-rc2-2
#3 - 2012-08-29 10:48 AM - Giovanni Manghi
stefano campus wrote:
so, i have re-installed gdal by osgeo but error exists.

this error comes also for other gdal modules, like polygonyze.
gdal version is 1.9.1-rc2-2

if gdal tools/osgeo4w installation is somehow broken, then there is no way that gdal tools can work in qgis.

#4 - 2012-08-30 01:15 AM - Paolo Cavallini

Have you installed python-gdal?

#5 - 2012-08-30 07:33 AM - stefano campus
yes. from osgeo i have first downgraded gdal then upgraded to last version that now is 1.9.1-1 (rc2-2 disappeared).

but error is still present...

]

#6 - 2012-08-31 01:46 AM - Giovanni Manghi

- Status changed from Open to Feedback

stefano campus wrote:

yes. from osgeo i have first downgraded gdal then upgraded to last version that now is 1.9.1-1 (rc2-2 disappeared).

but error is still present...

~(

does this happens on any osgeo4w installation?

#7 - 2012-08-31 06:36 AM - stefano campus
today i have updated qgis master to 1.9.55 and new version of gdal (under "command_utilities" list) appeared.

itis 1.9.1-2.

but error still exists...

#8 - 2012-09-01 07:29 AM - Giovanni Manghi

but error still exists...
it does happen on any osgeo4w installation or only on your machine?

#9 - 2012-09-04 12:07 PM - Paolo Cavallini
- Target version set to Version 2.0.0

#10 - 2012-12-30 10:07 AM - Giovanni Manghi

- Assignee set to Giuseppe Sucameli

#11 - 2012-12-31 01:23 AM - Paolo Cavallini
- Assignee changed from Giuseppe Sucameli to anonymous -

#12 - 2013-04-17 03:52 PM - stefano campus
- Status changed from Feedback to Closed

#13 - 2014-06-29 10:13 AM - Jiirgen Fischer

- Assignee deleted (anonymous -)
